# List catalog items **GET /v1/catalog/items** Retrieve a list of catalog items belonging to the authenticated organization. ## Servers - Public API: https://api.pattern.com/hub (Public API) - Staging API: https://stage-api.pattern.com/hub (Staging API) ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **page** (integer) Page number for pagination - **per_page** (integer) Number of items per page (default: 100) ## Responses ### 200 catalog bundle component with parent bundles #### Body: application/json (array[object]) - **id** (integer) Item ID - **name** (string | null) Item name - **mpn** (string | null) Manufacturer Part Number - **upc** (string | null) Universal Product Code - **hs_code** (string | null) Harmonized System code - **is_hazmat** (boolean | null) Whether the item is hazmat - **cold_storage_type** (string | null) Cold storage type - **can_expire** (boolean | null) Whether the item can expire - **is_bundle** (boolean) Whether the item is a bundle containing other items - **is_bundle_component** (boolean) Whether the item is a component of a bundle - **bundle_components** (array[object] | null) List of component items (present when is_bundle is true) - **parent_bundles** (array[object] | null) Parent bundle items (present when is_bundle_component is true) [Powered by Bump.sh](https://bump.sh)